[package]
name = "syd-fuzz"
version = "0.0.0"
publish = false
edition = "2021"

[dependencies]
afl = "*"
nix = "*"

[dependencies.syd]
path = ".."

# Prevent this from interfering with workspaces
[workspace]
members = ["."]

[profile.release]
debug = 1

[[bin]]
name = "canonicalize"
path = "src/canonicalize.rs"
test = false
doc = false

[[bin]]
name = "config"
path = "src/config.rs"
test = false
doc = false

[[bin]]
name = "elf"
path = "src/elf.rs"
test = false
doc = false

[[bin]]
name = "wildmatch"
path = "src/wildmatch.rs"
test = false
doc = false
